Share feedback
Answers are generated based on the documentation.

List org members

GET/v2/orgs/{org_name}/members

Returns a list of members for an organization.

The following fields are only visible to orgs with insights enabled.

  • last_logged_in_at
  • last_seen_at
  • last_desktop_version

To make visible, please see View Insights for organization users.

This operation accepts bearer tokens issued from organization access tokens (OATs). The token must have the required resource access and scopes.

Connection and access

API connection and authentication guidance

https://hub.docker.com — Docker HUB API

Use one of these alternatives. Requirements within an alternative apply together.

  • bearerAuth

Parameters

org_name path Required

Name of the organization (namespace).

Type: string

All schema constraints and annotations
{
  "type": "string"
}

search query

Search term.

Type: integer

All schema constraints and annotations
{
  "type": "integer"
}

page query

Page number (starts on 1).

Type: integer

All schema constraints and annotations
{
  "type": "integer"
}

page_size query

Number of items (rows) per page.

Type: integer

All schema constraints and annotations
{
  "type": "integer"
}

invites query

Include invites in the response.

Type: boolean

All schema constraints and annotations
{
  "type": "boolean"
}

type query

Filter members by membership type.

Type: string

All schema constraints and annotations
{
  "enum": [
    "all",
    "invitee",
    "member"
  ],
  "type": "string"
}

role query

Filter members by their organization role.

Type: string

All schema constraints and annotations
{
  "enum": [
    "owner",
    "editor",
    "member"
  ],
  "type": "string"
}

Request and responses

Response 200

List of members

application/json

Schema: org_member_paginated

Schema example

{
  "count": 1,
  "next": null,
  "previous": null,
  "results": [
    {
      "date_joined": "2021-01-05T21:06:53.506400Z",
      "email": "example@docker.com",
      "full_name": "Jon Snow",
      "groups": [
        "owners"
      ],
      "id": "0ab70deb065a43fcacd55d48caa945d8",
      "is_guest": false,
      "role": "Owner",
      "type": "User",
      "username": "dockeruser"
    }
  ]
}

Response 400

Bad Request

application/json

Schema: error

error

{
  "errinfo": null,
  "message": "bad request"
}

Response 401

Unauthorized

application/json

Schema: error

error

{
  "errinfo": null,
  "message": "unauthorized"
}

Response 403

Forbidden

application/json

Schema: error

error

{
  "errinfo": null,
  "message": "permission denied"
}

Response 404

Not Found

application/json

Schema: error

error

{
  "errinfo": null,
  "message": "not found"
}

Referenced schemas

#/components/schemas/org_member_paginated

Complete operation contract
{
  "description": "Returns a list of members for an organization.\n\n_The following fields are only visible to orgs with insights enabled._\n\n- `last_logged_in_at`\n- `last_seen_at`\n- `last_desktop_version`\n\nTo make visible, please see [View Insights for organization users](https://docs.docker.com/accounts/organization/insights/#view-insights-for-organization-users).\n\nThis operation accepts bearer tokens issued from organization access tokens (OATs). The token must have the required resource access and scopes.\n",
  "operationId": "getV2OrgsByOrgNameMembers",
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/org_member_paginated"
          }
        }
      },
      "description": "List of members"
    },
    "400": {
      "$ref": "#/components/responses/bad_request"
    },
    "401": {
      "$ref": "#/components/responses/unauthorized"
    },
    "403": {
      "$ref": "#/components/responses/forbidden"
    },
    "404": {
      "$ref": "#/components/responses/not_found"
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "summary": "List org members",
  "tags": [
    "orgs"
  ]
}